=== debian/control ===
Source: ros-kinetic-op3-gui-demo
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, libqt4-dev, libyaml-cpp-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-humanoid-nav-msgs, ros-kinetic-interactive-markers, ros-kinetic-op3-online-walking-module-msgs, ros-kinetic-op3-walking-module-msgs, ros-kinetic-qt-build, ros-kinetic-robotis-controller-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-visualization-msgs
Homepage: http://wiki.ros.org/op3_gui_demo
Standards-Version: 3.9.2

Package: ros-kinetic-op3-gui-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, libqt4-dev, libyaml-cpp-dev, ros-kinetic-cmake-modules, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-humanoid-nav-msgs, ros-kinetic-interactive-markers, ros-kinetic-op3-navigation, ros-kinetic-op3-online-walking-module-msgs, ros-kinetic-op3-walking-module-msgs, ros-kinetic-qt-build, ros-kinetic-robotis-controller-msgs, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-visualization-msgs
Description: The op3_gui_demo is a GUI software to control ROBOTIS-OP3.
 Within this program, user can perform module settings, walking tuner, head joint control and play actions.
